## com.fasterxml.jackson.databind.deser.impl
Class NullProvider

    java.lang.Object
      com.fasterxml.jackson.databind.deser.impl.NullProvider

    public final class NullProvider

extends Object

To support [JACKSON-420] we need bit more indirection; this is used to produce artificial failure for primitives that don't accept JSON null as value.

Constructor Summary
`NullProvider(JavaType type, Object nullValue)`

Method Summary
`Object` `nullValue(DeserializationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullProvider

    public NullProvider(JavaType type,
                        Object nullValue)

Method Detail

### nullValue

    public Object nullValue(DeserializationContext ctxt)
                     throws JsonProcessingException

  Throws:
    `JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.